iob_addbuf_free(3)

NAME
iob_addbuf_free - add buffer to I/O batch, with deallocation

SYNTAX
#include <libowfat/iob.h> int iob_addbuf_free(io_batch* b,const void* buf,uint64 n);

DESCRIPTION
iob_addbuf_free schedules n bytes starting at buf to be written with the I/O batch b. The buffer will automatically be deallocated by iob_reset.

RETURN VALUE
Returns 1 if successful, 0 if not. In the failure case, the buffer was deallocated.

SEE ALSO
iob_reset(3), iob_send(3), iob_addbuf(3), iob_adds(3), iob_addfile(3)